Gentoo Archives: gentoo-dev

From: Kent Fredric <kentnl@g.o>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] [PATCH 2/2] perl-module.class: Enable EAPI=7 support
Date: Wed, 14 Aug 2019 10:53:20
Message-Id: 20190814225304.44dd7c2b@katipo2.lan
In Reply to: Re: [gentoo-dev] [PATCH 2/2] perl-module.class: Enable EAPI=7 support by James Le Cuirot
On Wed, 14 Aug 2019 10:16:57 +0100
James Le Cuirot <chewi@g.o> wrote:

> Yes, I thought that was probably the case. Python is more forgiving in > this regard.
In perls case, some of that unforgivingness is upstream dev's stuffing custom logic into Makefile.PL that calls "die", when EUMM will automatically warn anyway, even if nothing in the build process will *actually* require the dependencies present until it runs src_test. But that's just par for 'we have to patch upstream anyway to not be silly'